Bug 172931 - Using lvcreate --snapshot on a fresh installed x86_64 system cause massive filesystem corruption
Using lvcreate --snapshot on a fresh installed x86_64 system cause massive fi...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
4
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: LVM and device-mapper development team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-11 08:27 EST by molle.bestefich
Modified: 2008-03-09 16:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-09 16:40:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot showing 'lvcreate --snapshot' and how things look afterwards (82.37 KB, image/jpeg)
2005-11-11 08:27 EST, molle.bestefich
no flags Details

  None (edit)
Description molle.bestefich 2005-11-11 08:27:53 EST
Description of problem:
1. Burn-in tested the two 300 GB disks twice each.
2. Started Fedora Core 4 installation.
3. Used Disk Druid to create 3 MD RAID1 arrays:
  md0 --> 512MB /boot
  md1 --> 8GB swap
  md2 --> ~250GB LVM --> VolGroup0
4. On VolGroup0 I created one 20GB volume named Dom0Vol.
5. Finished Fedora Core 4 installation.
6. Started Konsole, entered:
  lvcreate --snapshot --name FC4_install --size 10g -pr /dev/VolGroup0/Dom0Vol
7. Done - now nothing works, most binaries yield "cannot execute binary file",
clicking anything on the desktop yields "ELF header not found" (or some such).


Additional info:
Hardware is a brand new HP DL145, with an added Silicon Image 3114 SATA
controller and two Maxtor 300 GB SATA MaxLine III harddrives.  Since installing
more than 5 GB of applications went without a glitch, and so did the initial
bootup of the system, I'm pretty sure that it's the 'lvcreate' I did that
screwed things up.


Reproduction recipe:
I'd rather not try and reproduce it :-).
I think I'll try Gentoo and EVMS instead, heh.
But let me know what you need to fix it if there's anything I can do before I
nuke it from the face of the earth..
Comment 1 molle.bestefich 2005-11-11 08:27:53 EST
Created attachment 120937 [details]
Screenshot showing 'lvcreate --snapshot' and how things look afterwards
Comment 2 Christian Iseli 2007-01-19 19:23:45 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 petrosyan 2008-03-09 16:40:35 EDT
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.